Bug 518578 - Evolution plugin stops working after Aug 20 Rawhide updates
Summary: Evolution plugin stops working after Aug 20 Rawhide updates
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-do-plugins
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Juan Manuel Rodriguez
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-21 02:53 UTC by Michel Alexandre Salim
Modified: 2010-12-05 06:34 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-05 06:34:53 UTC


Attachments (Terms of Use)

Description Michel Alexandre Salim 2009-08-21 02:53:18 UTC
Description of problem:
I'm using Gnome Do's evolution plugin as of yesterday, with two Gmail address books configured in Evolution. As of yesterday everything works, but now I get the following on startup:

(Do:3557): libebook-CRITICAL **: file e-book.c: line 2144: assertion `book && E_IS_BOOK (book)' failed
Evolution.ContactItemSource "Evolution Contacts" encountered an error in UpdateItems: file e-book.c: line 2144: assertion `book && E_IS_BOOK (book)' failed.

Gnome Do still functions, but it's as if the Evolution plugin is not there at all.

Version-Release number of selected component (if applicable):
gnome-do-plugins-evolution-0.8.1-6.fc12.x86_64

How reproducible:
Always?

Steps to Reproduce:
1. Install gnome-do-plugins-evolution
2. Enable it in Gnome Do
3. Start Gnome Do from the console, watch the sparks
  
Actual results:
As described above

Expected results:
No warning, and should just work

Additional info:
Will try updating to 0.8.2 and see if that fixes anything.

Comment 1 Juan Manuel Rodriguez 2009-08-21 03:28:14 UTC
Thanks Michael. 

I'll push 0.8.2 to updates testing. I've been using it throughout the day and it fixed all the Google Plugins (Which don't work on 0.8.1). 

As for the Docklets package? I created the spec, the docklets appear to work fine, except for the Volume one, which is broken. I haven't had time to check the *why* though.

Comment 2 Michel Alexandre Salim 2009-08-21 04:20:27 UTC
Ah. I've only tried the Google Contacts plugin, which works fine on 0.8.1.

Give me a shout when you have the docklets ready for review, and I'll happily oblige.

I'm currently building gnome-do (your spec, but the one I came up with is virtually identical) and -plugins for Rawhide. I have a local build that I'm using, but it seems that the Evolution plugin is still broken the same way. I even tried rebuilding evolution-sharp...

Could you reproduce the bug? In which case we might want to reassign this -- it just might be that evolution's API has changed and therefore this is an evo-sharp bug (it has not been updated upstream for a few months).

Comment 3 Bug Zapper 2009-11-16 11:35:06 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2010-11-04 10:26:12 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Bug Zapper 2010-12-05 06:34:53 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.